﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win.UltraWinEditors;
using Infragistics.Win;
using System.Drawing;

namespace ControlPropertyDefaultValue
{
    public class UltraCheckEditorTS : UltraCheckEditor
    {

        private Appearance m_defaultAppearance;
        private GlyphInfoBase m_defaultGlyphInfo;
        
        public UltraCheckEditorTS()
        {
            m_defaultAppearance = new Appearance("UltraCheckEditorTSDefault", 0);
            m_defaultAppearance.BackColor = Color.LightCyan;
            m_defaultAppearance.FontData.Bold = DefaultableBoolean.True;
            m_defaultAppearance.FontData.SizeInPoints = 15;
            m_defaultAppearance.FontData.Name = "Microsoft Sans Serif";

            CheckBoxGlyphSettings glyphSettings = new CheckBoxGlyphSettings();
            glyphSettings.BaseColor = Color.Black;
            glyphSettings.Size = new Size(30, 30);
            m_defaultGlyphInfo = glyphSettings.ToGlyphInfo();
            
            this.Appearance = m_defaultAppearance;
            this.GlyphInfo = m_defaultGlyphInfo;
        }
    }
}
